ST_GeogFromText
Prev | 8.8.1. Well-Known Text (WKT) | Next

## Name

ST_GeogFromText — Return a specified geography value from Well-Known Text representation or extended (WKT).

## Synopsis

`geography ST_GeogFromText(`text EWKT`)`;

## Description

Returns a geography object from the well-known text or extended well-known representation. SRID 4326 is assumed if unspecified. This is an alias for ST_GeographyFromText. Points are always expressed in long lat form.

## Examples

    --- converting lon lat coords to geography
    ALTER TABLE sometable ADD COLUMN geog geography(POINT,4326);
    UPDATE sometable SET geog = ST_GeogFromText('SRID=4326;POINT(' || lon || ' ' || lat || ')');

    --- specify a geography point using EPSG:4267, NAD27
    SELECT ST_AsEWKT(ST_GeogFromText('SRID=4267;POINT(-77.0092 38.889588)'));

## See Also

ST_AsText, ST_GeographyFromText

Prev | Up | Next
ST_BdMPolyFromText | Home | ST_GeographyFromText